Subject: bug#14943: 24.3.50; Now just making text invisible locks the file for editing

From: Drew Adams <[email-masked]>
Date: Tue, 23 Jul 2013 23:04:16 -0700 (PDT)

Also:  When editing in the first session, save the file after making
some text invisible.  Then in the second session there is no conflict.
And you see the invisible text anyway - the invisibilty was not saved.

This shows, if it wasn't already clear, that the buffer modification
made no difference for saving, unlike, say, the addition of enriched-text
properties, which do get saved.

Why on earth are we considering that there is an edit conflict if no
savable change has been made to the buffer?  The is quite misguided, AFAICT.